Package Release Info

apache-commons-validator-1.3.1-bp154.1.34

Update Info: Base Release
Available in Package Hub : 15 SP4 (BETA)

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

apache-commons-validator
apache-commons-validator-javadoc

Change Logs

Version: 1.3.1-bp150.2.4
* Mon Oct 09 2017 fstrba@suse.com
- Fix build and running of junit tests with Java 9+
- Added patch:
  * commons-validator-1.3.1-locale.patch
    + Made two different test.routines target, one with java <= 1.8
    and one with java 9+, since the locale providers changed
    between java 1.8 and 9. Moreover, the options that Java 9
    needs to run in compatibility mode break build with lower
    versions of Java.
* Thu Sep 14 2017 fstrba@suse.com
- Build with java source and target 1.6
- Use java-devel < 1.9 because with jdk9, some unit tests fail
- Clean spec file
* Tue Jul 08 2014 tchvatal@suse.com
- Cleanup with spec-cleaner and fix build on Factory.
* Mon Apr 14 2014 darin@darins.net
- add requirements for SLES
* Fri Jun 15 2012 mvyskocil@suse.cz
- update to 1.3.1
- rename to apache-commons-validator
* Mon Sep 25 2006 skh@suse.de
- don't use icecream
- use source="1.4" and target="1.4" for build with java 1.5
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jul 28 2005 jsmeix@suse.de
- Current version 1.1.4 from JPackage.org
* Mon Jul 18 2005 jsmeix@suse.de
- Current version 1.1.3 from JPackage.org
* Tue Feb 22 2005 skh@suse.de
- Update to version 1.1.3
* Sun Sep 05 2004 skh@suse.de
- Initial package created with version 1.0.2 (Jakarta 1.5)